Package twisted :: Package protocols :: Module basic :: Class SafeNetstringReceiver

[show private | hide private]
[frames | no frames]

## Class SafeNetstringReceiver

    BaseProtocol --+
                   |
            Protocol --+
                       |
       NetstringReceiver --+
                           |
                          SafeNetstringReceiver

This class is deprecated, use NetstringReceiver instead.

Method Summary
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `Protocol`)
| ``dataReceived`(self, data)` Called whenever data is received. (inherited from `NetstringReceiver`)
| `doComma(self)` (inherited from `NetstringReceiver`)
| `doData(self)` (inherited from `NetstringReceiver`)
| `doLength(self)` (inherited from `NetstringReceiver`)
| `sendString(self, data)` (inherited from `NetstringReceiver`)
| ``stringReceived`(self, line)` Override this. (inherited from `NetstringReceiver`)

Generated by Epydoc 1.1 on Thu May 8 13:16:35 2003 | http://epydoc.sf.net